/**
 * Type Object: 
 * Class <code>TObject</code> is the root of the class hierarchy. 
 * Every class has <code>TObject</code> as a superclass. All objects
 * implement the methods of this class.
 @since First release
*/
public class TObject
{
    /**
     * Instanciates a new Type Object.
     @since First release
    */
    public TObject () {}
    
    /**
    * Destroys the object
    @since First release
    */
    public void Destroy () {}
    
    /**
    * Returns a clones the object.
    @return object: A clone of the object.
    @since Release 2
    */
    public TObject clone () {return (new TObject());}
    
    /**
    * Compares the object with another.
    @param object The object to compare.
    @return equal: True if equal.
    @since Release 2
    */
    public boolean equals (TObject object) {return false;}
    
    /**
    * Returns a string representation of the object.
    @return  string: A string representation of the object.
    @since Release 2
    */
    public String toString () {return "";}
	//{{DECLARE_CONTROLS
	//}}
}